
Foreman - Bug #12432

User edit roles tab, no roles found for admin user

11/10/2015 07:25 AM - Alon Goldboim

Status: Closed   

Priority: Normal   

Assignee: Alon Goldboim   

Category: Users, Roles and Permissions   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2901

  

Description

When trying to append a role to a user(having roles in the db), the role selection indicate "None Found".

Related issues:

Related to Foreman - Bug #11924: Substitute .scoped by .where(nil) to force r... Closed 09/22/2015

Associated revisions

Revision b2a959ec - 11/11/2015 12:09 PM - Alon Goldboim

Fixes #12432 - Changed roles model so admin could see/attach all permissions

History

#1 - 11/10/2015 07:35 AM - Dominic Cleal

- Related to Bug #11924: Substitute .scoped by .where(nil) to force return relation added

#2 - 11/10/2015 07:36 AM - Dominic Cleal

- Subject changed from User edit roles tab, no roles found. to User edit roles tab, no roles found for admin user

- Category set to Users, Roles and Permissions

- translation missing: en.field_release set to 71

Role.for_current_user should have had where('0=0') or similar to replace {} rather than 0!=0.  Introduced in #11924, appears to be the only instance of

it (but please double check).

#3 - 11/10/2015 09:43 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Alon Goldboim

- Pull request https://github.com/theforeman/foreman/pull/2901 added

#4 - 11/11/2015 01:01 PM - Alon Goldboim

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b2a959ec283ae96ec5d33fbf5f484e3f3fa07657.
